import { CalendarModel, DateLabel, DateModel, DayLabels, MonthLabels, MonthModel } from './calendar.model';
import { ElementRef, EventEmitter, OnInit } from '@angular/core';
export declare class CalendarComponent implements OnInit {
    static readonly defaultProps: CalendarModel;
    yearsContainerRef: ElementRef;
    onSelectDayEmmiter: EventEmitter<DateModel>;
    dateInput: Date;
    displayOtherMonthDaysInput: boolean;
    date: Date;
    dayLabels: Array<DateLabel>;
    displayOtherMonthDays: boolean;
    monthLabels: Array<DateLabel>;
    selectedDate: DateModel;
    selectedMonth: MonthModel;
    showYears: boolean;
    weeks: Array<Array<DateModel>>;
    years: Array<number>;
    selectYearAnimationDuration: number;
    constructor();
    ngOnInit(): void;
    getDayLabels(dayLabels: DayLabels): Array<DateLabel>;
    getMonthLabels(monthLabels: MonthLabels): Array<DateLabel>;
    initValues(): void;
    createDateModel(date: Date, isOutOfMonth: boolean, isToday: boolean): DateModel;
    createDateObject(day: number, month: number, year: number): Date;
    fillYears(currentYear: number): Array<number>;
    fillWeeks(month: number, year: number): any[];
    createDayDate(date: Date, dayNumber: number, finalMonthDay: Date): DateModel;
    showPrevMonth(): void;
    showNextMonth(): void;
    generateISODate(date: Date): string;
    onSelectDay(date: DateModel): void;
    onSelectYear(year: number): void;
    displayYears(): void;
    scrollToActiveYear(): void;
    getScrollCenter(container: HTMLElement, internalElement: HTMLElement): number;
}
